def generic_underground(x, y, z, d):
    return 'dirt'

class Biome(object):
    def get_dbt(self, x, y, z):
        return 'stone'

class ForestBiome(Biome):
    def get_dbt(self, x, y, z, t):
        if z == t:
            return 'grass'
        elif z < t:
            return generic_underground(x, y, z, t - z)
        else:
            return 'air'

biomes = {
    'forest': (((0.5, 0.75), (0.5, 0.75)), ForestBiome),
}
